#!/usr/bin/env bash
echo "Semi-ActiveReID project with DataParallel"
# random
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_random/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_random/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_random/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth TEST.DO_VAL True
# margin
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_margin/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth ACTIVE.QUERY_FUNC "MarginSampler"
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_margin/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth ACTIVE.QUERY_FUNC "MarginSampler"
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_margin/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth ACTIVE.QUERY_FUNC "MarginSampler" TEST.DO_VAL True
# entropy
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_entropy/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth ACTIVE.QUERY_FUNC "EntropySampler"
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_entropy/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth ACTIVE.QUERY_FUNC "EntropySampler"
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_entropy/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth ACTIVE.QUERY_FUNC "EntropySampler" TEST.DO_VAL True
# coreset
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_coreset/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth ACTIVE.QUERY_FUNC "CoresetSampler"
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_coreset/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth ACTIVE.QUERY_FUNC "CoresetSampler"
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_coreset/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth ACTIVE.QUERY_FUNC "CoresetSampler" TEST.DO_VAL True
# confidence
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_confidence/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth ACTIVE.QUERY_FUNC "ConfidenceSampler"
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_confidence/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth ACTIVE.QUERY_FUNC "ConfidenceSampler"
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_confidence/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth ACTIVE.QUERY_FUNC "ConfidenceSampler" TEST.DO_VAL True
# cluster
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/Market1501/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_cluster/market1501 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/market1501/model_0017169.pth ACTIVE.QUERY_FUNC "ClusterSampler"
python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/DukeMTMC/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_cluster/dukemtmc MODEL.WEIGHTS logs/SpCL_new/BoT_R50/dukemtmc/model_0018999.pth ACTIVE.QUERY_FUNC "ClusterSampler"
# python projects/Semi-ActiveReID/train_net.py --config-file projects/Semi-ActiveReID/configs/MSMT17/BoT_R50.yml ACTIVE.RECTIFY True ACTIVE.BUILD_DATALOADER False ACTIVE.EDGE_PROP True SOLVER.MAX_EPOCH 50 SOLVER.BASE_LR 3.5e-7 SOLVER.STEPS [50,] OUTPUT_DIR logs/SpCL_SemiActive/BoT_R50_rectify_cluster/msmt17 MODEL.WEIGHTS logs/SpCL_new/BoT_R50/msmt17/model_0035999.pth ACTIVE.QUERY_FUNC "ClusterSampler" TEST.DO_VAL True